Home | All Classes | Grouped Classes | Index | Search

# CL_GlyphBuffer::draw

Draw the glyphs in the buffer.

    	void draw(
    		int x = 0, int y = 0, CL_GraphicContext* gc = 0);

    	void draw(
    		Range range, int x = 0, int y = 0, CL_GraphicContext* gc = 0);

    	void draw(
    		CL_Rect dest, CL_GraphicContext* gc = 0);

    	void draw(
    		Range range, CL_Rect dest, CL_GraphicContext* gc = 0);

Parameters:

x, y
  Anchor position to draw at. Actual drawing position depends on the alignment mode.
gc
  Graphic context on which to render. If null, will use CL_Display's current graphic context.
dest
  Rectangle to draw glyphs in. The glyphs will be positioned within the rectangle depending on the alignment mode.
range
  The subsection of the glyphs vector to use.

See also:

CL_Display | CL_GlyphBuffer | CL_GraphicContext | CL_Rect

Questions or comments, write to the ClanLib mailing list.